## heyu 1.19

=== Makefile ===
# Makefile for CM11, a program to control an X10 CM11A computer interface.
# $Revision: 1.5 $

BIN = $(DESTDIR)/usr/bin
MAN = $(DESTDIR)/usr/man/man1
MAN5 = $(DESTDIR)/usr/man/man5
GROUP = root 
OWNER = root 


#	set DFLAGS equal to:
#	   -DVENIX	if using VENIX
#	   -DSYSV	if using SYSTEM V
#	   -DVOID	if compiler doesn't understand 'void'
#	   -DMINIEXCH	if using the DEC mini-exchange
DFLAGS = -DSYSV -DPOSIX 

CFLAGS = -g $(DFLAGS)
#LDFLAGS = -z -i
#LIBS = -lm -lc_s		# uncomment if using shared libraries
LIBS = -lm -lc

##  For solaris, use the following defines in addition to what's above
# DFLAGS = -DSYSV -DPOSIX -DSOLARIS

## Use the following for nextstep 3.3 (uncomment the next 4 lines)
#DFLAGS =  -DPOSIX
#CFLAGS = -g $(DFLAGS) -posix
#LDFLAGS = -posix
#LIBS = -lm -lposix
##end of nextstep

SRCS =	date.c erase.c info.c  message.c relay.c \
	monitor.c reset.c setclock.c stop.c \
	tty.c turn.c x10.c xread.c xwrite.c status.c cm11a.c 

OBJS =	date.o erase.o info.o message.o relay.o \
	monitor.o reset.o setclock.o stop.o \
	tty.o turn.o x10.o xread.o xwrite.o status.o cm11a.o

OTHERSRC = README Makefile x10config protocol.txt \
	monit x10biff heyu.1 x10.h x10config.5 history version.h heyufaq.txt

EVERYTHING = $(OTHERSRC) $(SRCS)

heyu:	$(OBJS) version.h
	cc $(LDFLAGS) -o heyu $(OBJS) $(LIBS)

$(OBJS): x10.h

install: $(BIN)/heyu  $(MAN)/heyu.1 $(MAN5)/x10config.5

$(BIN)/heyu:	heyu
	cp heyu $(BIN)
	chgrp $(GROUP) $(BIN)/heyu
	chmod 755 $(BIN)/heyu
	chown $(OWNER) $(BIN)/heyu

$(MAN)/heyu.1:
	cp heyu.1 $(MAN)
	chmod 644 $(MAN)/heyu.1

$(MAN5)/x10config.5:
	cp x10config.5 $(MAN5)
	chmod 644 $(MAN5)/x10config.5

lint:
	lint $(DFLAGS) $(SRCS)

shar:	x10_heyu.shar.1 x10_heyu.shar.2

x10.o:	x10.c version.h

ci:	$(SRCS) index.html Makefile
	@ for FL in $+ ; do \
	if test -w $$FL ; then \
        ci -l $$FL ;\
	fi ;\
	done

x10_heyu.shar.1:
	shar $(OTHERSRC) >x10_heyu.shar.1

x10_heyu.shar.2:
	shar $(SRCS) > x10_heyu.shar.2

bigshar:
	shar $(EVERYTHING) > x10_heyu.shar

tar:    x10_heyu.tgz

x10_heyu.tgz:	$(EVERYTHING)
	rm -fr heyu.dir
	mkdir heyu.dir
	cp -p $(EVERYTHING) heyu.dir
	tar -czvf x10_heyu.tgz heyu.dir

zip:	x10_heyu.zip

x10_heyu.zip:	$(EVERYTHING)
	rm -f x10_heyu.zip
	zip -kl x10_heyu.zip $(EVERYTHING)

touch:
	touch $(OTHERSRC)
	touch $(SRCS)

clean:
	rm -f *.o

clobber: clean
	rm -f heyu

upload:	heyu index.html x10_heyu.tgz x10_heyu.zip
	/bin/sh -c ./upload.sh

rcsdiffrw:
	@-for x in `$(MAKE) rw`	;\
	do	\
		echo 		;\
		echo $$x	;\
		echo =========	;\
		rcsdiff $$x	;\
	done 2>&1		;\
	echo			;\
	echo all done

list:
	@ls $(EVERYTHING) | more

rw:
	@ls -l $(EVERYTHING) | \
		egrep '^[^l].w' | \
		sed 's;.* ;;'   # strip to last space

populate: $(EVERYTHING)

$(EVERYTHING):
	co -r$(revision) $@

## heyu 1.28-3

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # Makefile for CM11, a program to control an X10 CM11A computer interface.
-# $Revision: 1.5 $
-
-BIN = $(DESTDIR)/usr/bin
-MAN = $(DESTDIR)/usr/man/man1
-MAN5 = $(DESTDIR)/usr/man/man5
-GROUP = root 
-OWNER = root 
+# $Revision: 1.12 $
+BIN = debian/tmp/usr/bin
+MAN = debian/tmp/usr/man/man1
+MAN5 = debian/tmp/usr/man/man5
+GROUP = sys
+OWNER = bin
 
 
 #	set DFLAGS equal to:
@@ -13,15 +12,23 @@
 #	   -DSYSV	if using SYSTEM V
 #	   -DVOID	if compiler doesn't understand 'void'
 #	   -DMINIEXCH	if using the DEC mini-exchange
-DFLAGS = -DSYSV -DPOSIX 
 
-CFLAGS = -g $(DFLAGS)
+CFLAGS = -O $(DFLAGS) -Wall
 #LDFLAGS = -z -i
 #LIBS = -lm -lc_s		# uncomment if using shared libraries
 LIBS = -lm -lc
 
+##  For LINUX, use the following defines in addition to what's above
+DFLAGS = -DSYSV -DPOSIX -DHAS_ITIMER -DLINUX -DHASSELECT
+
 ##  For solaris, use the following defines in addition to what's above
-# DFLAGS = -DSYSV -DPOSIX -DSOLARIS
+# DFLAGS = -DSYSV -DPOSIX -DSOLARIS -DLOCKDIR=\"/var/spool/locks\" -DHASSELECT
+
+## if you're using freebsd, just set the flag for select.
+# DFLAGS= -DHASSELECT
+
+## If you aren't sure, try this
+#DFLAGS = -DSYSV -DPOSIX 
 
 ## Use the following for nextstep 3.3 (uncomment the next 4 lines)
 #DFLAGS =  -DPOSIX
@@ -32,14 +39,17 @@
 
 SRCS =	date.c erase.c info.c  message.c relay.c \
 	monitor.c reset.c setclock.c stop.c \
-	tty.c turn.c x10.c xread.c xwrite.c status.c cm11a.c 
+	tty.c turn.c x10.c xread.c xwrite.c status.c cm11a.c \
+	eeprom.c preset.c parse_sched.c
 
 OBJS =	date.o erase.o info.o message.o relay.o \
 	monitor.o reset.o setclock.o stop.o \
-	tty.o turn.o x10.o xread.o xwrite.o status.o cm11a.o
+	tty.o turn.o x10.o xread.o xwrite.o status.o cm11a.o \
+	eeprom.o preset.o parse_sched.o
 
-OTHERSRC = README Makefile x10config protocol.txt \
-	monit x10biff heyu.1 x10.h x10config.5 history version.h heyufaq.txt
+OTHERSRC = README Makefile x10config protocol.txt eeprom.h \
+	x10sched.conf.sample  monit x10biff heyu.1 x10.h x10config.5 \
+	history.txt version.h heyufaq.txt x10sched.5
 
 EVERYTHING = $(OTHERSRC) $(SRCS)
 
@@ -48,7 +58,15 @@
 
 $(OBJS): x10.h
 
-install: $(BIN)/heyu  $(MAN)/heyu.1 $(MAN5)/x10config.5
+eeprom.o:	eeprom.h
+
+install: $(BIN)/heyu  $(MAN)/heyu.1 $(MAN5)/x10config.5 $(MAN5)/x10sched.5
+
+uninstall:
+	rm -f $(BIN)/heyu
+	rm -f $(MAN)/heyu.1
+	rm -f $(MAN5)/x10config.5
+	rm -f $(MAN5)/x10sched.5
 
 $(BIN)/heyu:	heyu
 	cp heyu $(BIN)
@@ -56,13 +74,17 @@
 	chmod 755 $(BIN)/heyu
 	chown $(OWNER) $(BIN)/heyu
 
-$(MAN)/heyu.1:
+$(MAN)/heyu.1: heyu.1
 	cp heyu.1 $(MAN)
 	chmod 644 $(MAN)/heyu.1
 
-$(MAN5)/x10config.5:
+$(MAN5)/x10config.5: x10config.5
 	cp x10config.5 $(MAN5)
 	chmod 644 $(MAN5)/x10config.5
+
+$(MAN5)/x10sched.5: x10sched.5
+	cp x10sched.5 $(MAN5)
+	chmod 644 $(MAN5)/x10sched.5
 
 lint:
 	lint $(DFLAGS) $(SRCS)
@@ -71,7 +93,7 @@
 
 x10.o:	x10.c version.h
 
-ci:	$(SRCS) index.html Makefile
+ci:	$(SRCS) index.htm Makefile
 	@ for FL in $+ ; do \
 	if test -w $$FL ; then \
         ci -l $$FL ;\
@@ -111,7 +133,7 @@
 clobber: clean
 	rm -f heyu
 
-upload:	heyu index.html x10_heyu.tgz x10_heyu.zip
+upload:	heyu index.htm x10_heyu.tgz x10_heyu.zip
 	/bin/sh -c ./upload.sh
 
 rcsdiffrw:

=== debian/changelog ===
heyu (1.28-3) unstable; urgency=low

  * Change config file names
  * Removed suggests of xtend

 -- Troy Hanson <troy@debian.org>  Tue, 11 Jan 2000 09:13:48 -0600 

heyu (1.28-2) unstable; urgency=low

  * Fixed broken binary problem

 -- Troy Hanson <troy@debian.org>  Tue, 19 Jan 1999 08:17:12 -0600

heyu (1.28-1) unstable; urgency=low

  * New Upstream Version

 -- Troy Hanson <troy@debian.org>  Tue, 19 Jan 1999 08:17:12 -0600

heyu (1.19-9) unstable; urgency=low

  * Fixed bugs caused by fixing Lintian bugs.  
  * Corrected Bug #32077

 -- Troy Hanson <troy@debian.org>  Tue, 19 Jan 1999 08:17:12 -0600

heyu (1.19-8) unstable; urgency=low

  * Fixed Lintian bugs

 -- Troy Hanson <troy@debian.org>  Mon, 11 Jan 1999 19:32:31 -0600

heyu (1.19-5) unstable; urgency=low

  * Fixed Bugs 25066 and 25067 (conffile and upstream source errors).  Thanks goes to edwalter@iname.com

 -- Troy Hanson <troy@debian.org>  Sun, 26 Jul 1998 19:25:00 -0500

heyu (1.19-4) unstable; urgency=low

  * Changed priority to optional to match xtend

 -- Troy Hanson <troy@debian.org>  Sat, 11 Jul 1998 01:29:09 -0500

heyu (1.19-3) unstable; urgency=low

  * Fixed manual page for configuration file

 -- Troy Hanson <troy@debian.org>  Tue, 23 Jun 1998 23:21:16 -0500

heyu (1.19-2) unstable; urgency=low

  * Changed Configuration file location to allow init.d initialization

 -- Troy Hanson <troy@debian.org>  Tue, 23 Jun 1998 22:11:26 -0500

heyu (1.19-1) unstable; urgency=low

  * 
  * -1
  * 
  * Initial Release.

 -- Troy Hanson <troy@debian.org>  Thu, 18 Jun 1998 16:24:59 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "troy@debian.org"
End:

=== debian/control ===
Source: heyu
Section: electronics 
Priority: optional 
Maintainer: Troy Hanson <troy@debian.org>
Standards-Version: 2.1.2.2

Package: heyu
Architecture: any 
Depends: ${shlibs:Depends}
Description:  heyu - 2 way x10 communications for the CM11A
 heyu' is similar to the package 'x10', differing mainly in the
 controller supported (this package supports CM11A, 'x10' supports the CP290)
 X-10 modules are devices that plug into an electrical outlet and allow you
 to remotely control the power to a lamp or an appliance that is plugged
 into them. There are also X-10 modules that install in place of wall
 switches to control lights, fans, and many other appliances. 
 This package supports the CM11A Interface (from Radio Shack), which
 supports two-way communication.  This allows for devices such as motion
 detectors to trigger scripts on your system, turning lights on, updating
 web pages, or send you e-mail.
 See: http://heyu.tanj.com/heyu  For more information

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=heyu

installdoc = install -g root -o root -m 644
installbin = install -g root -o root -m 755 

build:
	$(checkdir)
	
	make 
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)

# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
	$(installbin) -d debian/tmp/etc
	$(installdoc) debian/x10.config debian/tmp/etc
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..
	
define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
